<!DOCTYPE html>
<html>
    <head>
        <title>
            HTML
        </title>
    </head>
    <body>
        <p style="font-size:x-large">HTML</p>
        <div>
            Язык <b>HTML</b> интерпретируется <a href="https://ru.wikipedia.org/wiki/Браузер" style="color: black;">
            браузерами</a>; полученный в результате интерпретации
            форматированный текст отображается на экране монитора компьютера или мобильного устройства.
            Язык <i>HTML</i> до 5-ой версии определялся как приложение 
            <a href="https://ru.wikipedia.org/wiki/SGML" style="color: black;">SGML</a> (стандартного обобщённого языка
            разметки по стандарту <a href="https://ru.wikipedia.org/wiki/ISO" style="color: black;"> ISO</a> 8879). 
            Спецификации HTML5 формулируются в терминах 
            <i><a href="https://ru.wikipedia.org/wiki/Document_Object_Model" style="color: black;"> DOM</a></i> 
            (объектной модели документа). <br>
            Язык <i><a href="https://ru.wikipedia.org/wiki/XHTML" style="color: black;">XHTML</a></i> является более строгим 
            вариантом HTML, он следует синтаксису <a href="https://ru.wikipedia.org/wiki/XML" style="color: black;">XML</a> 
            и является приложением языка XML в области разметки гипертекста. <br>
            Во всемирной паутине HTML-страницы, как правило, передаются браузерам от сервера по
            протоколам <i><a href="https://ru.wikipedia.org/wiki/HTTP" style="color: black;">HTTP</a></i> или 
            <i><a href="https://ru.wikipedia.org/wiki/HTTPS" style="color: black;">HTTPS</a></i>, в виде простого текста 
            или с использованием <a href="https://ru.wikipedia.org/wiki/Шифрование" style="color: black;">шифрования</a>.
            
        </div>
        <p style="font-size:x-large">Общее представление</p>
        <div>
            Язык HTML был разработан 
            <i><a href="https://ru.wikipedia.org/wiki/Великобритания" style="color: black;">британским</a></i> учёным 
            <b><a href="https://ru.wikipedia.org/wiki/Бернерс-Ли,_Тим" style="color: black;">Тимом Бернерсом-Ли</a></b> 
            приблизительно в <i><a href="https://ru.wikipedia.org/wiki/1986_год" style="color: black;">1986</a>—
            <a href="https://ru.wikipedia.org/wiki/1991_год" style="color: black;">1991 годах</a></i> 
            в стенах 
            <i><a href="https://ru.wikipedia.org/wiki/ЦЕРН" style="color: black;">ЦЕРНа</a></i> в 
            <i><a href="https://ru.wikipedia.org/wiki/Женева" style="color: black;">Женеве</a></i> в 
            <i><a href="https://ru.wikipedia.org/wiki/Швейцария" style="color: black;">Швейцарии</a></i>. 
            HTML создавался как язык для обмена научной
            и технической документацией, пригодный для использования людьми, не являющимися
            специалистами в области 
            <i><a href="https://ru.wikipedia.org/wiki/Верстка" style="color: black;">вёрстки</a></i>. HTML успешно справлялся 
            с проблемой сложности SGML путём определения небольшого набора структурных и 
            <b><a href="https://ru.wikipedia.org/wiki/Семантика" style="color: black;">семантических</a></b>
             элементов — дескрипторов.
            Дескрипторы также часто называют 
            <i><b><a href="https://ru.wikipedia.org/wiki/Тег_(языки_разметки)" style="color: black;">«тегами»</a></b></i>. 
            С помощью HTML можно легко создать относительно простой, но красиво оформленный документ. Помимо упрощения структуры
            документа, в HTML внесена поддержка 
            <i><a href="https://ru.wikipedia.org/wiki/Гипертекст" style="color: black;">гипертекста</a></i>. 
            <i><a href="https://ru.wikipedia.org/wiki/Мультимедиа" style="color: black;">Мультимедийные</a></i>
            возможности были добавлены позже.<br>

            Изначально язык HTML был задуман и создан как средство структурирования и форматирования
            документов без их привязки к средствам воспроизведения (отображения). В идеале, текст с
            разметкой HTML должен был без стилистических и структурных искажений воспроизводиться на
            оборудовании с различной технической оснащённостью (цветной экран современного компьютера,
            монохромный экран органайзера, ограниченный по размерам экран мобильного телефона или
            устройства и программы голосового воспроизведения текстов). Однако современное применение
            HTML очень далеко от его изначальной задачи. Например, тег &lt;table&gt; предназначен для создания в
            документах таблиц, но иногда используется и для оформления размещения элементов на странице.
            С течением времени основная идея платформо независимости языка HTML была принесена в
            жертву современным потребностям в мультимедийном и графическом оформлении.
            Браузеры<br>
                
            Текстовые документы, содержащие разметку на языке HTML (такие документы традиционно
            имеют <i><a href="https://ru.wikipedia.org/wiki/Расширение_имени_файла" style="color: black;">
            расширение</a></i> <b>.html</b> или <b>.htm</b>), обрабатываются специальными 
            <i><a href="https://ru.wikipedia.org/wiki/Прикладное_программное_обеспечение" style="color: black;">
            приложениями</a></i>, которые отображают документ в его форматированном виде. Такие приложения, называемые 
            «браузерами» или «интернет-обозревателями», обычно предоставляют пользователю удобный 
            <i><a href="https://ru.wikipedia.org/wiki/Пользовательский_интерфейс" style="color: black;">интерфейс</a></i>
            для запроса <i><a href="https://ru.wikipedia.org/wiki/Веб-страница" style="color: black;">веб-страниц</a></i>, 
            их просмотра (и вывода на иные внешние устройства) и, при необходимости,
            отправки введённых пользователем данных на сервер. Наиболее популярными на сегодняшний день
            браузерами являются 
            <b><i><a href="https://ru.wikipedia.org/wiki/Google_Chrome" style="color: black;">Google Chrome,</a></i></b>
            <b><i><a href="https://ru.wikipedia.org/wiki/Mozilla_Firefox" style="color: black;">Mozilla Firefox,</a></i></b>
            <b><i><a href="https://ru.wikipedia.org/wiki/Opera" style="color: black;">Opera,</a></i></b>
            <b><i><a href="https://ru.wikipedia.org/wiki/Internet_Explorer" style="color: black;">Internet Explorer,</a></i></b>
            и <b><i><a href="https://ru.wikipedia.org/wiki/Safari" style="color: black;">Safari.</a></i></b>
            
        </div>

    </body>

</html>